Bug 117049 - xmms uses max volume - ignores volume control
xmms uses max volume - ignores volume control
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-27 14:04 EST by Michael Stenner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 01:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stenner 2004-02-27 14:04:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Occasionally, when switching to a new song (either ogg or mp3) in the
playlist, xmms will use its maximum value.  The volume slider does not
move to the end, the music volume simply increases.  The slider can be
moved freely, but this has no effect.

If you then stop and restart the track (click stop, then click play)
the volume behaves correctly -- it is set to whereever you have the
slider.  Pushing pause and play does not fix the problem.

This only occurs at the beginning of a track.   I've never seen it
mid-song.

Version-Release number of selected component (if applicable):
xmms-1.2.8-3.p   xmms-mp3-1.2.8-3.2.fr

How reproducible:
Sometimes

Steps to Reproduce:
1.  load many tracks in playlist
2.  set xmms volume low
3.  begin playing tracks

    

Actual Results:  eventually, one of the tracks will be played very
loudly.  At this point, moving the slider has no effect.

Expected Results:  well, the slider should always work :)

Additional info:
Comment 1 Colin Walters 2004-09-21 22:57:20 EDT
Can you narrow this down to particular songs?

Also, have you tried FC2?
Comment 2 Michael Stenner 2004-09-22 01:28:01 EDT
I was never able to pin it down.  There were no songs that would
exhibit this behavior every time, and it's clearly impossible to show
that a song NEVER does it.

However, at some point, something changed and the problem went away. 
I think it was probably an xmms update, so you can probably close this
bug.  I have used xmms a little on FC2 and haven't seen this behavior
there.
Comment 3 Colin Walters 2004-09-22 01:41:13 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.